API reference / Drive
Drive API
49 endpoints. Scopes: Scalar360.drive.READ, .CREATE, .UPDATE, .DELETE or .ALL. All calls need Authorization: Scalar360-oauthtoken <access_token> — see Authentication.
List
/api/v1/drive
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
folderId | query | string (uuid) | No |
curl -X GET "https://api.scalar360.com/api/v1/drive" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Access
/api/v1/drive/access
Scope: Scalar360.drive.READ
curl -X GET "https://api.scalar360.com/api/v1/drive/access" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Activity
/api/v1/drive/activity
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
itemId | query | string (uuid) | No |
limit | query | integer (default 100) | No |
curl -X GET "https://api.scalar360.com/api/v1/drive/activity" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Dashboard
/api/v1/drive/dashboard
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
days | query | integer (default 30) | No |
curl -X GET "https://api.scalar360.com/api/v1/drive/dashboard" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Upload
/api/v1/drive/files
Scope: Scalar360.drive.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
folderId | query | string (uuid) | No |
Request body: multipart/form-data with a file field.
curl -X POST "https://api.scalar360.com/api/v1/drive/files" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-F "file=@/path/to/file"File info
/api/v1/drive/files/{gid}
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Delete file
/api/v1/drive/files/{gid}
Scope: Scalar360.drive.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X DELETE "https://api.scalar360.com/api/v1/drive/files/{gid}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Download
/api/v1/drive/files/{gid}/download
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}/download" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Editor config
/api/v1/drive/files/{gid}/editor-config
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}/editor-config" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Rename file
/api/v1/drive/files/{gid}/rename
Scope: Scalar360.drive.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
name | string |
curl -X POST "https://api.scalar360.com/api/v1/drive/files/{gid}/rename" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Stop sharing
/api/v1/drive/files/{gid}/stop-sharing
Scope: Scalar360.drive.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X POST "https://api.scalar360.com/api/v1/drive/files/{gid}/stop-sharing" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Versions
/api/v1/drive/files/{gid}/versions
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}/versions" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Download version
/api/v1/drive/files/{gid}/versions/{versionGid}/download
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
versionGid | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}/versions/{versionGid}/download" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Restore version
/api/v1/drive/files/{gid}/versions/{versionGid}/restore
Scope: Scalar360.drive.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
versionGid | path | string (uuid) | Yes |
curl -X POST "https://api.scalar360.com/api/v1/drive/files/{gid}/versions/{versionGid}/restore" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Create blank
/api/v1/drive/files/blank
Scope: Scalar360.drive.CREATE
| Body field | Type | Required | Notes |
|---|---|---|---|
name | string | ||
kind | string | ||
folderId | string (uuid) |
curl -X POST "https://api.scalar360.com/api/v1/drive/files/blank" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string","kind":"string","folderId":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d"}'Create folder
/api/v1/drive/folders
Scope: Scalar360.drive.CREATE
| Body field | Type | Required | Notes |
|---|---|---|---|
name | string | ||
parentId | string (uuid) |
curl -X POST "https://api.scalar360.com/api/v1/drive/folders" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string","parentId":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d"}'Delete folder
/api/v1/drive/folders/{gid}
Scope: Scalar360.drive.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X DELETE "https://api.scalar360.com/api/v1/drive/folders/{gid}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Rename folder
/api/v1/drive/folders/{gid}/rename
Scope: Scalar360.drive.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
name | string |
curl -X POST "https://api.scalar360.com/api/v1/drive/folders/{gid}/rename" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'List
/api/v1/drive/folders/{gid}/requests
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/drive/folders/{gid}/requests" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Create
/api/v1/drive/folders/{gid}/requests
Scope: Scalar360.drive.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
title | string | ||
message | string | ||
expiresInDays | integer |
curl -X POST "https://api.scalar360.com/api/v1/drive/folders/{gid}/requests" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"title":"string","message":"string","expiresInDays":1}'Stop sharing folder
/api/v1/drive/folders/{gid}/stop-sharing
Scope: Scalar360.drive.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X POST "https://api.scalar360.com/api/v1/drive/folders/{gid}/stop-sharing" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Largest
/api/v1/drive/largest
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
limit | query | integer (default 20) | No |
curl -X GET "https://api.scalar360.com/api/v1/drive/largest" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Limits
/api/v1/drive/limits
Scope: Scalar360.drive.READ
curl -X GET "https://api.scalar360.com/api/v1/drive/limits" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Save limits
/api/v1/drive/limits
Scope: Scalar360.drive.UPDATE
| Body field | Type | Required | Notes |
|---|---|---|---|
defaultMb | integer | ||
people | array of object | ||
people[].userId | string (uuid) | ||
people[].limitMb | integer |
curl -X PUT "https://api.scalar360.com/api/v1/drive/limits" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"defaultMb":1,"people":[{"userId":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d","limitMb":1}]}'My storage
/api/v1/drive/me/storage
Scope: Scalar360.drive.READ
curl -X GET "https://api.scalar360.com/api/v1/drive/me/storage" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Recent
/api/v1/drive/recent
Scope: Scalar360.drive.READ
curl -X GET "https://api.scalar360.com/api/v1/drive/recent" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Record folder
/api/v1/drive/records/{type}/{gid}
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
type | path | string | Yes |
gid | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/drive/records/{type}/{gid}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Close
/api/v1/drive/requests/{gid}/close
Scope: Scalar360.drive.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X POST "https://api.scalar360.com/api/v1/drive/requests/{gid}/close" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Search
/api/v1/drive/search
Scope: Scalar360.drive.READ
| Parameter | In | Type | Required |
|---|---|---|---|
q | query | string | Yes |
curl -X GET "https://api.scalar360.com/api/v1/drive/search" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Team drives
/api/v1/drive/team-drives
Scope: Scalar360.drive.READ
curl -X GET "https://api.scalar360.com/api/v1/drive/team-drives" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Create team drive
/api/v1/drive/team-drives
Scope: Scalar360.drive.CREATE
| Body field | Type | Required | Notes |
|---|---|---|---|
name | string |
curl -X POST "https://api.scalar360.com/api/v1/drive/team-drives" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Trash
/api/v1/drive/trash
Scope: Scalar360.drive.READ
curl -X GET "https://api.scalar360.com/api/v1/drive/trash" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Empty trash
/api/v1/drive/trash
Scope: Scalar360.drive.DELETE
curl -X DELETE "https://api.scalar360.com/api/v1/drive/trash" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Purge
/api/v1/drive/trash/{kind}/{gid}
Scope: Scalar360.drive.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
kind | path | string | Yes |
gid | path | string (uuid) | Yes |
curl -X DELETE "https://api.scalar360.com/api/v1/drive/trash/{kind}/{gid}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Restore
/api/v1/drive/trash/{kind}/{gid}/restore
Scope: Scalar360.drive.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
kind | path | string | Yes |
gid | path | string (uuid) | Yes |
curl -X POST "https://api.scalar360.com/api/v1/drive/trash/{kind}/{gid}/restore" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Usage
/api/v1/drive/usage
Scope: Scalar360.drive.READ
curl -X GET "https://api.scalar360.com/api/v1/drive/usage" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"